Tinyboard Error

Ask questions about dedicated servers here and we and other users will do our best to answer them. Please also refer to the self-help section for tutorials and answers to the most commonly asked questions.
Post Reply
User avatar
CPU Black Heart
New to forums
New to forums
Posts: 1
https://www.youtube.com/channel/UC40BgXanDqOYoVCYFDSTfHA
Joined: Sat Aug 05, 2023 7:56 am

Tinyboard Error

Post by CPU Black Heart »

Hi, I'm with a problem trying to run a server with Tinyboard using XAMPP.
I keep getting this stupid error whenever I try to load the install.php
Fatal error: Array and string offset access syntax with curly braces is no longer supported in C:\xampp\htdocs\inc\lib\IP\Lifo\IP\BC.php on line 105
I don't have so much knowledge on PHP so idk how to fix it
User avatar
Edge100x
Founder
Founder
Posts: 12962
Joined: Thu Apr 18, 2002 11:04 pm
Location: Seattle
Contact:

Re: Tinyboard Error

Post by Edge100x »

I'm not familiar with Tinyboard specifically, but the error suggests that there is a mismatch between the PHP version and the Tinyboard version. Are you running the latest versions of both, and do the Tinyboard install instructions say that they support the major PHP version that you are using?

You may have to either upgrade Tinyboard or switch to a different PHP version (7.x instead of 8.x, for instance).
Post Reply